from HtCapFn import HtCap
def fH(H,T,MflowN2,MflowH2,MflowNH3,FeedAr,FeedCH4,CpCoef):
    result = H - (MflowN2*HtCap(1,T,CpCoef)+MflowH2*HtCap(2,T,CpCoef) \
                  +MflowNH3*HtCap(3,T,CpCoef)+FeedAr*HtCap(4,T,CpCoef) \
                  +FeedCH4*HtCap(5,T,CpCoef))*T
    return result

def findT(H,T1,MflowN2,MflowH2,MflowNH3,FeedAr,FeedCH4,CpCoef):
    tol = 1.e-7
    while True:
        T2 = T1 + 0.1
        Tnew = T1 - 0.1*fH(H,T1,MflowN2,MflowH2,MflowNH3,
               FeedAr,FeedCH4,CpCoef) /  \
            (fH(H,T2,MflowN2,MflowH2,MflowNH3,FeedAr,FeedCH4,CpCoef) \
             - fH(H,T1,MflowN2,MflowH2,MflowNH3,FeedAr,FeedCH4,CpCoef))
        if abs((Tnew-T1)/Tnew) < tol: break
        T1 = Tnew
    return Tnew
            