# Test HtRxn function
import numpy as np
import matplotlib.pyplot as plt
from HtRxnFn import HtRxn

T = np.linspace(250.,500.)
n = len(T)
HtRx = np.zeros(n)

for i in range(n):
    HtRx[i] = HtRxn(T[i])

plt.plot(T,HtRx,c='k')
plt.grid()
plt.xlabel('Temperature - degC')
plt.ylabel('Heat of Reaction - kJ/kmol')

